Bug 1294840 - Cannot add panel to secodary display
Cannot add panel to secodary display
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kf5-plasma (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-30 10:57 EST by dag
Modified: 2016-12-20 12:29 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:29:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dag 2015-12-30 10:57:09 EST
Description of problem:
Impossible to add panel to one display in dual screen setup

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Unlock widgets
2.Select "Add panel"
3.Watch the panelk jump to the other screen

Actual results:
Panel addition only possible to one display

Expected results:
Panel addition should be possible at any panel

Additional info:

Using Nvidia display driver in "twinViev" configuration
Comment 1 Olumuyiwa Taiwo 2016-01-03 11:29:55 EST
Same problem here. 

+ Dell Latitude E7450
+ Intel driver
+ Dell U2515H (secondary display)
Comment 2 Ian Donaldson 2016-01-06 07:02:14 EST
And here... only happened since I dnf updated yesterday  (using FC22)
and received kf5-plasma-5.17.0-2.fc22.x86_64

Dell Optiplex 780SF with dual DVI.  Radeon HD3450 graphics.


In addition this plasma has some other serious issues... I had desktop
icons placed nicely on both screens and a couple of times it
lost the dual-head status and displayed same stuff on both screens,
and then decided to rearrange all my icons.  I had to reboot
the system to get dual-head status back again, but the icons are
now all misplaced (overlapping in some cases).

But... the icon maagement popups that allow me to resize/move the icons
no longer appears when I hover over the icons, so I can't put them
back where they should be!

Related to the dual screen mode fail the panel that was on the right
screen got dumped on top of the panel at the bottom of the left
screen.   I've moved it to another location on the left screen
so it doesn't overlap but I can't move it back to the right screen,
nor can I create a new panel there.

Help!
Comment 3 Ian Donaldson 2016-01-06 07:03:03 EST
 grep plasma /var/log/dnf.rpm.log
Jan 05 19:59:00 INFO Upgraded: kf5-plasma-5.17.0-2.fc22.x86_64
Jan 05 19:59:00 INFO Upgraded: kf5-plasma-5.17.0-2.fc22.x86_64
Jan 05 19:59:53 INFO Upgraded: kdeplasma-addons-5.5.0-3.fc22.x86_64
Jan 05 19:59:53 INFO Upgraded: kdeplasma-addons-5.5.0-3.fc22.x86_64
Jan 05 20:02:31 INFO Cleanup: kdeplasma-addons-5.5.0-1.fc22.x86_64
Jan 05 20:02:31 INFO Cleanup: kdeplasma-addons-5.5.0-1.fc22.x86_64
Jan 05 20:02:41 INFO Cleanup: kf5-plasma-5.16.0-2.fc22.x86_64
Jan 05 20:02:41 INFO Cleanup: kf5-plasma-5.16.0-2.fc22.x86_64
Comment 4 Olumuyiwa Taiwo 2016-01-06 07:15:06 EST
kf5-plasma-5.17.0-2.fc22.x86_64 here as well, although the behaviour predates that.
Comment 5 Bruno A. Crespo 2016-03-10 17:18:50 EST
This is a very annoying bug.  The problem is that the panel always migrates to th e first screen, is imposible to have a panel in the second screen.

If you edit the file plasma-org.kde.plasma.desktop-appletsrc and put lastscreen=1, when you start the session you could see the panel in the second screen just one second, and after an instant the panel migrates to the first screen.

Please, take a look, this is a very big usability problem when you have two screens.
Comment 6 Ian Donaldson 2016-03-10 17:23:31 EST
The problem went away for me in a later update; I'm running kf5-plasma-5.19.0-2.fc22.x86_64 now
Comment 7 Olumuyiwa Taiwo 2016-03-10 18:11:36 EST
This bug is still present for me in kf5-plasma-5.19.0-2.fc22.x86_64.
@Ian: did you have to do anything in order to make the problem go away?

I noticed a change in behaviour, in that the new panel now gets added to the screen top edge rather than the bottom.
Comment 8 Ian Donaldson 2016-03-10 18:14:29 EST
Can't recall anything special; I think I just did a remove panel of the excess one on the 1st screen and added a new one as normal to the 2nd screen.

I still occasionally find panels that stop working and need to be recreated...
Comment 9 Fedora End Of Life 2016-11-24 09:36:06 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2016-12-20 12:29:10 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.